org.apache.struts2.osgi.loaders

## Class VelocityBundleResourceLoader

- java.lang.Object
- - org.apache.velocity.runtime.resource.loader.ResourceLoader
  - - org.apache.velocity.runtime.resource.loader.ClasspathResourceLoader
    - - org.apache.struts2.osgi.loaders.VelocityBundleResourceLoader

-     public class VelocityBundleResourceLoader
      extends org.apache.velocity.runtime.resource.loader.ClasspathResourceLoader

  Finds Velocity templates in bundles

- - ### Field Summary

    - ### Fields inherited from class org.apache.velocity.runtime.resource.loader.ResourceLoader

      `className, isCachingOn, log, modificationCheckInterval, rsvc`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VelocityBundleResourceLoader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Reader` | `getResourceReader(String name, String encoding)`
    `InputStream` | `getResourceStream(String name)`

    - ### Methods inherited from class org.apache.velocity.runtime.resource.loader.ClasspathResourceLoader

      `getLastModified, init, isSourceModified`

    - ### Methods inherited from class org.apache.velocity.runtime.resource.loader.ResourceLoader

      `buildReader, commonInit, getClassName, getModificationCheckInterval, isCachingOn, resourceExists, setCachingOn, setModificationCheckInterval`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VelocityBundleResourceLoader

          public VelocityBundleResourceLoader()

  - ### Method Detail

    - #### getResourceStream

          public InputStream getResourceStream(String name)
                                        throws org.apache.velocity.exception.ResourceNotFoundException

      Throws:
        `org.apache.velocity.exception.ResourceNotFoundException`

    - #### getResourceReader

          public Reader getResourceReader(String name,
                                          String encoding)
                                   throws org.apache.velocity.exception.ResourceNotFoundException

      Overrides:
        `getResourceReader` in class `org.apache.velocity.runtime.resource.loader.ClasspathResourceLoader`
      Throws:
        `org.apache.velocity.exception.ResourceNotFoundException`

Copyright © 2000–2025 Apache Software Foundation. All rights reserved.